cluster / notifications
31 operations.
GET /cluster/notifications
proxmox.cluster.notifications.$get()Index for notification-related API endpoints.
Returns an array of object.
GET /cluster/notifications/endpoints
proxmox.cluster.notifications.endpoints.$get()Index for all available endpoint types.
Returns an array of object.
GET /cluster/notifications/endpoints/gotify
proxmox.cluster.notifications.endpoints.gotify.$get()Returns a list of all gotify endpoints
Returns an array of object.
POST /cluster/notifications/endpoints/gotify
proxmox.cluster.notifications.endpoints.gotify.$post()Create a new gotify endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | Comment | |
disable | boolean | Disable this target — default 0 | |
name | string | yes | The name of the endpoint. — format pve-configid |
server | string | yes | Server URL |
token | string | yes | Secret token |
GET /cluster/notifications/endpoints/gotify/{name}
proxmox.cluster.notifications.endpoints.gotify.$(name).$get()Return a specific gotify endpoint
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | Name of the endpoint. — format pve-configid |
PUT /cluster/notifications/endpoints/gotify/{name}
proxmox.cluster.notifications.endpoints.gotify.$(name).$put()Update existing gotify endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | Comment | |
delete | string[] | A list of settings you want to delete. | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
disable | boolean | Disable this target — default 0 | |
name | string | yes | The name of the endpoint. — format pve-configid |
server | string | Server URL | |
token | string | Secret token |
DELETE /cluster/notifications/endpoints/gotify/{name}
proxmox.cluster.notifications.endpoints.gotify.$(name).$delete()Remove gotify endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | format pve-configid |
GET /cluster/notifications/endpoints/sendmail
proxmox.cluster.notifications.endpoints.sendmail.$get()Returns a list of all sendmail endpoints
Returns an array of object.
POST /cluster/notifications/endpoints/sendmail
proxmox.cluster.notifications.endpoints.sendmail.$post()Create a new sendmail endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
author | string | Author of the mail | |
comment | string | Comment | |
disable | boolean | Disable this target — default 0 | |
from-address | string | From address for the mail | |
mailto | string[] | List of email recipients | |
mailto-user | string[] | List of users | |
name | string | yes | The name of the endpoint. — format pve-configid |
GET /cluster/notifications/endpoints/sendmail/{name}
proxmox.cluster.notifications.endpoints.sendmail.$(name).$get()Return a specific sendmail endpoint
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | format pve-configid |
PUT /cluster/notifications/endpoints/sendmail/{name}
proxmox.cluster.notifications.endpoints.sendmail.$(name).$put()Update existing sendmail endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
author | string | Author of the mail | |
comment | string | Comment | |
delete | string[] | A list of settings you want to delete. | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
disable | boolean | Disable this target — default 0 | |
from-address | string | From address for the mail | |
mailto | string[] | List of email recipients | |
mailto-user | string[] | List of users | |
name | string | yes | The name of the endpoint. — format pve-configid |
DELETE /cluster/notifications/endpoints/sendmail/{name}
proxmox.cluster.notifications.endpoints.sendmail.$(name).$delete()Remove sendmail endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | format pve-configid |
GET /cluster/notifications/endpoints/smtp
proxmox.cluster.notifications.endpoints.smtp.$get()Returns a list of all smtp endpoints
Returns an array of object.
POST /cluster/notifications/endpoints/smtp
proxmox.cluster.notifications.endpoints.smtp.$post()Create a new smtp endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
author | string | Author of the mail. Defaults to 'Proxmox VE'. | |
comment | string | Comment | |
disable | boolean | Disable this target — default 0 | |
from-address | string | yes | From address for the mail |
mailto | string[] | List of email recipients | |
mailto-user | string[] | List of users | |
mode | insecure | starttls | tls | Determine which encryption method shall be used for the connection. — default "tls" | |
name | string | yes | The name of the endpoint. — format pve-configid |
password | string | Password for SMTP authentication | |
port | number | The port to be used. Defaults to 465 for TLS based connections, 587 for STARTTLS based connections and port 25 for insecure plain-text connections. | |
server | string | yes | The address of the SMTP server. |
username | string | Username for SMTP authentication |
GET /cluster/notifications/endpoints/smtp/{name}
proxmox.cluster.notifications.endpoints.smtp.$(name).$get()Return a specific smtp endpoint
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | format pve-configid |
PUT /cluster/notifications/endpoints/smtp/{name}
proxmox.cluster.notifications.endpoints.smtp.$(name).$put()Update existing smtp endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
author | string | Author of the mail. Defaults to 'Proxmox VE'. | |
comment | string | Comment | |
delete | string[] | A list of settings you want to delete. | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
disable | boolean | Disable this target — default 0 | |
from-address | string | From address for the mail | |
mailto | string[] | List of email recipients | |
mailto-user | string[] | List of users | |
mode | insecure | starttls | tls | Determine which encryption method shall be used for the connection. — default "tls" | |
name | string | yes | The name of the endpoint. — format pve-configid |
password | string | Password for SMTP authentication | |
port | number | The port to be used. Defaults to 465 for TLS based connections, 587 for STARTTLS based connections and port 25 for insecure plain-text connections. | |
server | string | The address of the SMTP server. | |
username | string | Username for SMTP authentication |
DELETE /cluster/notifications/endpoints/smtp/{name}
proxmox.cluster.notifications.endpoints.smtp.$(name).$delete()Remove smtp endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | format pve-configid |
GET /cluster/notifications/endpoints/webhook
proxmox.cluster.notifications.endpoints.webhook.$get()Returns a list of all webhook endpoints
Returns an array of object.
POST /cluster/notifications/endpoints/webhook
proxmox.cluster.notifications.endpoints.webhook.$post()Create a new webhook endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
body | string | HTTP body, base64 encoded | |
comment | string | Comment | |
disable | boolean | Disable this target — default 0 | |
header | string[] | HTTP headers to set. These have to be formatted as a property string in the format name=<name>,value=<base64 of value> | |
method | post | put | get | yes | HTTP method |
name | string | yes | The name of the endpoint. — format pve-configid |
secret | string[] | Secrets to set. These have to be formatted as a property string in the format name=<name>,value=<base64 of value> | |
url | string | yes | Server URL |
GET /cluster/notifications/endpoints/webhook/{name}
proxmox.cluster.notifications.endpoints.webhook.$(name).$get()Return a specific webhook endpoint
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | Name of the endpoint. — format pve-configid |
PUT /cluster/notifications/endpoints/webhook/{name}
proxmox.cluster.notifications.endpoints.webhook.$(name).$put()Update existing webhook endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
body | string | HTTP body, base64 encoded | |
comment | string | Comment | |
delete | string[] | A list of settings you want to delete. | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
disable | boolean | Disable this target — default 0 | |
header | string[] | HTTP headers to set. These have to be formatted as a property string in the format name=<name>,value=<base64 of value> | |
method | post | put | get | HTTP method | |
name | string | yes | The name of the endpoint. — format pve-configid |
secret | string[] | Secrets to set. These have to be formatted as a property string in the format name=<name>,value=<base64 of value> | |
url | string | Server URL |
DELETE /cluster/notifications/endpoints/webhook/{name}
proxmox.cluster.notifications.endpoints.webhook.$(name).$delete()Remove webhook endpoint
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | format pve-configid |
GET /cluster/notifications/matcher-field-values
proxmox.cluster.notifications["matcher-field-values"].$get()Returns known notification metadata fields and their known values
Returns an array of object.
GET /cluster/notifications/matcher-fields
proxmox.cluster.notifications["matcher-fields"].$get()Returns known notification metadata fields
Returns an array of object.
GET /cluster/notifications/matchers
proxmox.cluster.notifications.matchers.$get()Returns a list of all matchers
Returns an array of object.
POST /cluster/notifications/matchers
proxmox.cluster.notifications.matchers.$post()Create a new matcher
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | Comment | |
disable | boolean | Disable this matcher — default 0 | |
invert-match | boolean | Invert match of the whole matcher | |
match-calendar | string[] | Match notification timestamp | |
match-field | string[] | Metadata fields to match (regex or exact match). Must be in the form (regex|exact):<field>=<value> | |
match-severity | string[] | Notification severities to match | |
mode | all | any | Choose between 'all' and 'any' for when multiple properties are specified — default "all" | |
name | string | yes | Name of the matcher. — format pve-configid |
target | string[] | Targets to notify on match |
GET /cluster/notifications/matchers/{name}
proxmox.cluster.notifications.matchers.$(name).$get()Return a specific matcher
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | format pve-configid |
PUT /cluster/notifications/matchers/{name}
proxmox.cluster.notifications.matchers.$(name).$put()Update existing matcher
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | Comment | |
delete | string[] | A list of settings you want to delete. | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
disable | boolean | Disable this matcher — default 0 | |
invert-match | boolean | Invert match of the whole matcher | |
match-calendar | string[] | Match notification timestamp | |
match-field | string[] | Metadata fields to match (regex or exact match). Must be in the form (regex|exact):<field>=<value> | |
match-severity | string[] | Notification severities to match | |
mode | all | any | Choose between 'all' and 'any' for when multiple properties are specified — default "all" | |
name | string | yes | Name of the matcher. — format pve-configid |
target | string[] | Targets to notify on match |
DELETE /cluster/notifications/matchers/{name}
proxmox.cluster.notifications.matchers.$(name).$delete()Remove matcher
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | format pve-configid |
GET /cluster/notifications/targets
proxmox.cluster.notifications.targets.$get()Returns a list of all entities that can be used as notification targets.
Returns an array of object.
POST /cluster/notifications/targets/{name}/test
proxmox.cluster.notifications.targets.$(name).test.$post()Send a test notification to a provided target.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | Name of the target. — format pve-configid |